### Method

# Nautilus FileInfo get_parent_location

#### Declaration [src]

    GFile*
    nautilus_file_info_get_parent_location (
      NautilusFileInfo* file_info
    )

#### Description [src]

Gets the parent location.

#### Return value

Type: `GFile`

A `GFile` for the parent location of `file_info`, or `NULL` if `file_info` has no parent.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.